package com.fjs.scenic.service.common;

import com.fjs.scenic.entity.news.News;
import com.fjs.scenic.entity.system.Manage;

import java.util.List;
import java.util.Map;

/**
 * This class is used for ...
 *
 * @author qufei
 * @version 1.0
 * @CreateDate ${date} ${time}
 */
public interface BaseService<T> {
    List<T> page(T obj);

    int add(T obj);

    int update(T obj);

    int del(int id);

    T get(int id);
    
}
